Subject: bug#21677: [Bug-guile-ncurses] Guile-NCurses test failure when built against NCurses 6.0

From: Mike Gran <[email-masked]>
Date: Tue, 13 Oct 2015 17:03:57 +0000 (UTC)

> On Tuesday, October 13, 2015 1:59 AM, Ludovic Courtès <[email-masked]> wrote:
> > Hello,
> 
> Guile-NCurses 1.6 has one test failure when built against NCurses 6.0:
> 

> FAIL: getwin/putwin: putwin
> ERROR: getwin/putwin: getwin - arguments: ((srfi-34 #<condition 
> &curses-wrong-type-arg-error [arg: #f expected-type: window] e7d210>))

> Any ideas?

getwin/putwin save and restore a representation of a screen to a file.
That file format has changed for ncurses 6.  Their binding is
probably the least robust of the many functions in guile-ncurses.

I'll see what I can do with regards to a fix.

FWIW, this particular failure is constrained to those two functions alone,
and doesn't indicate any other problems.

-Mike